package mangasee

import (
	"fmt"
	"testing"
)

func TestManga(t *testing.T) {
	app, err := New()
	if err != nil {
		t.Fatal(err)
	}

	feed, err := app.GetFeed("https://mangasee123.com/rss/Rurouni-Kenshin-Hokkaido-Arc.xml")
	if err != nil {
		panic(err)
	}

	fmt.Printf("%+v\n", feed)

	for _, item := range feed.Items {
		pages, err := app.GetChapterImages(item.Link)
		fmt.Println(pages, err)
	}
}
